<div class="entry-meta">
    <?php
    if ( ! get_theme_mod('natalie_post_hide_date_time') ) {
        $archive_year  = get_the_time('Y'); 
        $archive_month = get_the_time('m'); 
        $archive_day   = get_the_time('d'); 
        ?>
        <a class="post-date" href="<?php echo get_day_link( $archive_year, $archive_month, $archive_day); ?>"><?php echo get_the_date(); ?></a><?php
    }
    ?>
</div>